<?php

// Register CSS icons styles
function deeper_iconpicker_register_css() {
    wp_enqueue_style( 'basic', DEEPER_URL . 'assets/css/basic-icons.css' );
    wp_enqueue_style( 'interface', DEEPER_URL . 'assets/css/interface-icons.css' );
    wp_enqueue_style( 'office', DEEPER_URL . 'assets/css/office-icons.css' );
    wp_enqueue_style( 'medical', DEEPER_URL . 'assets/css/medical-icons.css' );
    wp_enqueue_style( 'feather', DEEPER_URL . 'assets/css/feather-icons.css' );
    wp_enqueue_style( 'pe7stroke', DEEPER_URL . 'assets/css/pe7stroke-icons.css' );
    wp_enqueue_style( 'elegant', DEEPER_URL . 'assets/css/elegant-icons.css' );
}
add_action( 'vc_base_register_front_css', 'deeper_iconpicker_register_css' );
add_action( 'vc_base_register_admin_css', 'deeper_iconpicker_register_css' );

// Define the icons for VC Iconpicker
function vc_iconpicker_feather() {
    return array(
		array("fe-activity" => "activity"),
		array("fe-airplay" => "airplay"),
		array("fe-alert-circle" => "alert-circle"),
		array("fe-alert-octagon" => "alert-octagon"),
		array("fe-alert-triangle" => "alert-triangle"),
		array("fe-align-center" => "align-center"),
		array("fe-align-justify" => "align-justify"),
		array("fe-align-left" => "align-left"),
		array("fe-align-right" => "align-right"),
		array("fe-anchor" => "anchor"),
		array("fe-aperture" => "aperture"),
		array("fe-archive" => "archive"),
		array("fe-arrow-down" => "arrow-down"),
		array("fe-arrow-down-circle" => "arrow-down-circle"),
		array("fe-arrow-down-left" => "arrow-down-left"),
		array("fe-arrow-down-right" => "arrow-down-right"),
		array("fe-arrow-left" => "arrow-left"),
		array("fe-arrow-left-circle" => "arrow-left-circle"),
		array("fe-arrow-right" => "arrow-right"),
		array("fe-arrow-right-circle" => "arrow-right-circle"),
		array("fe-arrow-up" => "arrow-up"),
		array("fe-arrow-up-circle" => "arrow-up-circle"),
		array("fe-arrow-up-left" => "arrow-up-left"),
		array("fe-arrow-up-right" => "arrow-up-right"),
		array("fe-at-sign" => "at-sign"),
		array("fe-award" => "award"),
		array("fe-bar-chart" => "bar-chart"),
		array("fe-bar-chart-2" => "bar-chart-2"),
		array("fe-battery" => "battery"),
		array("fe-battery-charging" => "battery-charging"),
		array("fe-bell" => "bell"),
		array("fe-bell-off" => "bell-off"),
		array("fe-bluetooth" => "bluetooth"),
		array("fe-bold" => "bold"),
		array("fe-book" => "book"),
		array("fe-book-open" => "book-open"),
		array("fe-bookmark" => "bookmark"),
		array("fe-box" => "box"),
		array("fe-briefcase" => "briefcase"),
		array("fe-calendar" => "calendar"),
		array("fe-camera" => "camera"),
		array("fe-camera-off" => "camera-off"),
		array("fe-cast" => "cast"),
		array("fe-check" => "check"),
		array("fe-check-circle" => "check-circle"),
		array("fe-check-square" => "check-square"),
		array("fe-chevron-down" => "chevron-down"),
		array("fe-chevron-left" => "chevron-left"),
		array("fe-chevron-right" => "chevron-right"),
		array("fe-chevron-up" => "chevron-up"),
		array("fe-chevrons-down" => "chevrons-down"),
		array("fe-chevrons-left" => "chevrons-left"),
		array("fe-chevrons-right" => "chevrons-right"),
		array("fe-chevrons-up" => "chevrons-up"),
		array("fe-chrome" => "chrome"),
		array("fe-circle" => "circle"),
		array("fe-clipboard" => "clipboard"),
		array("fe-clock" => "clock"),
		array("fe-cloud" => "cloud"),
		array("fe-cloud-drizzle" => "cloud-drizzle"),
		array("fe-cloud-lightning" => "cloud-lightning"),
		array("fe-cloud-off" => "cloud-off"),
		array("fe-cloud-rain" => "cloud-rain"),
		array("fe-cloud-snow" => "cloud-snow"),
		array("fe-code" => "code"),
		array("fe-codepen" => "codepen"),
		array("fe-command" => "command"),
		array("fe-compass" => "compass"),
		array("fe-copy" => "copy"),
		array("fe-corner-down-left" => "corner-down-left"),
		array("fe-corner-down-right" => "corner-down-right"),
		array("fe-corner-left-down" => "corner-left-down"),
		array("fe-corner-left-up" => "corner-left-up"),
		array("fe-corner-right-down" => "corner-right-down"),
		array("fe-corner-right-up" => "corner-right-up"),
		array("fe-corner-up-left" => "corner-up-left"),
		array("fe-corner-up-right" => "corner-up-right"),
		array("fe-cpu" => "cpu"),
		array("fe-credit-card" => "credit-card"),
		array("fe-crop" => "crop"),
		array("fe-crosshair" => "crosshair"),
		array("fe-database" => "database"),
		array("fe-delete" => "delete"),
		array("fe-disc" => "disc"),
		array("fe-dollar-sign" => "dollar-sign"),
		array("fe-download" => "download"),
		array("fe-download-cloud" => "download-cloud"),
		array("fe-droplet" => "droplet"),
		array("fe-edit" => "edit"),
		array("fe-edit-2" => "edit-2"),
		array("fe-edit-3" => "edit-3"),
		array("fe-external-link" => "external-link"),
		array("fe-eye" => "eye"),
		array("fe-eye-off" => "eye-off"),
		array("fe-facebook" => "facebook"),
		array("fe-fast-forward" => "fast-forward"),
		array("fe-feather" => "feather"),
		array("fe-file" => "file"),
		array("fe-file-minus" => "file-minus"),
		array("fe-file-plus" => "file-plus"),
		array("fe-file-text" => "file-text"),
		array("fe-film" => "film"),
		array("fe-filter" => "filter"),
		array("fe-flag" => "flag"),
		array("fe-folder" => "folder"),
		array("fe-folder-minus" => "folder-minus"),
		array("fe-folder-plus" => "folder-plus"),
		array("fe-gift" => "gift"),
		array("fe-git-branch" => "git-branch"),
		array("fe-git-commit" => "git-commit"),
		array("fe-git-merge" => "git-merge"),
		array("fe-git-pull-request" => "git-pull-request"),
		array("fe-github" => "github"),
		array("fe-gitlab" => "gitlab"),
		array("fe-globe" => "globe"),
		array("fe-grid" => "grid"),
		array("fe-hard-drive" => "hard-drive"),
		array("fe-hash" => "hash"),
		array("fe-headphones" => "headphones"),
		array("fe-heart" => "heart"),
		array("fe-help-circle" => "help-circle"),
		array("fe-home" => "home"),
		array("fe-image" => "image"),
		array("fe-inbox" => "inbox"),
		array("fe-info" => "info"),
		array("fe-instagram" => "instagram"),
		array("fe-italic" => "italic"),
		array("fe-layers" => "layers"),
		array("fe-layout" => "layout"),
		array("fe-life-buoy" => "life-buoy"),
		array("fe-link" => "link"),
		array("fe-link-2" => "link-2"),
		array("fe-linkedin" => "linkedin"),
		array("fe-list" => "list"),
		array("fe-loader" => "loader"),
		array("fe-lock" => "lock"),
		array("fe-log-in" => "log-in"),
		array("fe-log-out" => "log-out"),
		array("fe-mail" => "mail"),
		array("fe-map" => "map"),
		array("fe-map-pin" => "map-pin"),
		array("fe-maximize" => "maximize"),
		array("fe-maximize-2" => "maximize-2"),
		array("fe-menu" => "menu"),
		array("fe-message-circle" => "message-circle"),
		array("fe-message-square" => "message-square"),
		array("fe-mic" => "mic"),
		array("fe-mic-off" => "mic-off"),
		array("fe-minimize" => "minimize"),
		array("fe-minimize-2" => "minimize-2"),
		array("fe-minus" => "minus"),
		array("fe-minus-circle" => "minus-circle"),
		array("fe-minus-square" => "minus-square"),
		array("fe-monitor" => "monitor"),
		array("fe-moon" => "moon"),
		array("fe-more-horizontal" => "more-horizontal"),
		array("fe-more-vertical" => "more-vertical"),
		array("fe-move" => "move"),
		array("fe-music" => "music"),
		array("fe-navigation" => "navigation"),
		array("fe-navigation-2" => "navigation-2"),
		array("fe-octagon" => "octagon"),
		array("fe-package" => "package"),
		array("fe-paperclip" => "paperclip"),
		array("fe-pause" => "pause"),
		array("fe-pause-circle" => "pause-circle"),
		array("fe-percent" => "percent"),
		array("fe-phone" => "phone"),
		array("fe-phone-call" => "phone-call"),
		array("fe-phone-forwarded" => "phone-forwarded"),
		array("fe-phone-incoming" => "phone-incoming"),
		array("fe-phone-missed" => "phone-missed"),
		array("fe-phone-off" => "phone-off"),
		array("fe-phone-outgoing" => "phone-outgoing"),
		array("fe-pie-chart" => "pie-chart"),
		array("fe-play" => "play"),
		array("fe-play-circle" => "play-circle"),
		array("fe-plus" => "plus"),
		array("fe-plus-circle" => "plus-circle"),
		array("fe-plus-square" => "plus-square"),
		array("fe-pocket" => "pocket"),
		array("fe-power" => "power"),
		array("fe-printer" => "printer"),
		array("fe-radio" => "radio"),
		array("fe-refresh-ccw" => "refresh-ccw"),
		array("fe-refresh-cw" => "refresh-cw"),
		array("fe-repeat" => "repeat"),
		array("fe-rewind" => "rewind"),
		array("fe-rotate-ccw" => "rotate-ccw"),
		array("fe-rotate-cw" => "rotate-cw"),
		array("fe-rss" => "rss"),
		array("fe-save" => "save"),
		array("fe-scissors" => "scissors"),
		array("fe-search" => "search"),
		array("fe-send" => "send"),
		array("fe-server" => "server"),
		array("fe-settings" => "settings"),
		array("fe-share" => "share"),
		array("fe-share-2" => "share-2"),
		array("fe-shield" => "shield"),
		array("fe-shield-off" => "shield-off"),
		array("fe-shopping-bag" => "shopping-bag"),
		array("fe-shopping-cart" => "shopping-cart"),
		array("fe-shuffle" => "shuffle"),
		array("fe-sidebar" => "sidebar"),
		array("fe-skip-back" => "skip-back"),
		array("fe-skip-forward" => "skip-forward"),
		array("fe-slack" => "slack"),
		array("fe-slash" => "slash"),
		array("fe-sliders" => "sliders"),
		array("fe-smartphone" => "smartphone"),
		array("fe-speaker" => "speaker"),
		array("fe-square" => "square"),
		array("fe-star" => "star"),
		array("fe-stop-circle" => "stop-circle"),
		array("fe-sun" => "sun"),
		array("fe-sunrise" => "sunrise"),
		array("fe-sunset" => "sunset"),
		array("fe-tablet" => "tablet"),
		array("fe-tag" => "tag"),
		array("fe-target" => "target"),
		array("fe-terminal" => "terminal"),
		array("fe-thermometer" => "thermometer"),
		array("fe-thumbs-down" => "thumbs-down"),
		array("fe-thumbs-up" => "thumbs-up"),
		array("fe-toggle-left" => "toggle-left"),
		array("fe-toggle-right" => "toggle-right"),
		array("fe-trash" => "trash"),
		array("fe-trash-2" => "trash-2"),
		array("fe-trending-down" => "trending-down"),
		array("fe-trending-up" => "trending-up"),
		array("fe-triangle" => "triangle"),
		array("fe-truck" => "truck"),
		array("fe-tv" => "tv"),
		array("fe-twitter" => "twitter"),
		array("fe-type" => "type"),
		array("fe-umbrella" => "umbrella"),
		array("fe-underline" => "underline"),
		array("fe-unlock" => "unlock"),
		array("fe-upload" => "upload"),
		array("fe-upload-cloud" => "upload-cloud"),
		array("fe-user" => "user"),
		array("fe-user-check" => "user-check"),
		array("fe-user-minus" => "user-minus"),
		array("fe-user-plus" => "user-plus"),
		array("fe-user-x" => "user-x"),
		array("fe-users" => "users"),
		array("fe-video" => "video"),
		array("fe-video-off" => "video-off"),
		array("fe-voicemail" => "voicemail"),
		array("fe-volume" => "volume"),
		array("fe-volume-1" => "volume-1"),
		array("fe-volume-2" => "volume-2"),
		array("fe-volume-x" => "volume-x"),
		array("fe-watch" => "watch"),
		array("fe-wifi" => "wifi"),
		array("fe-wifi-off" => "wifi-off"),
		array("fe-wind" => "wind"),
		array("fe-x" => "x"),
		array("fe-x-circle" => "x-circle"),
		array("fe-x-square" => "x-square"),
		array("fe-youtube" => "youtube"),
		array("fe-zap" => "zap"),
		array("fe-zap-off" => "zap-off"),
		array("fe-zoom-in" => "zoom-in"),
		array("fe-zoom-out" => "zoom-out")
    );
}
add_filter( 'vc_iconpicker-type-feather', 'vc_iconpicker_feather' );

function vc_iconpicker_pe7stroke() {
    return array(
		array("pe7s-album" => "pe7s-album"),
		array("pe7s-arc" => "pe7s-arc"),
		array("pe7s-back-2" => "pe7s-back-2"),
		array("pe7s-bandaid" => "pe7s-bandaid"),
		array("pe7s-car" => "pe7s-car"),
		array("pe7s-diamond" => "pe7s-diamond"),
		array("pe7s-door-lock" => "pe7s-door-lock"),
		array("pe7s-eyedropper" => "pe7s-eyedropper"),
		array("pe7s-female" => "pe7s-female"),
		array("pe7s-gym" => "pe7s-gym"),
		array("pe7s-hammer" => "pe7s-hammer"),
		array("pe7s-headphones" => "pe7s-headphones"),
		array("pe7s-helm" => "pe7s-helm"),
		array("pe7s-hourglass" => "pe7s-hourglass"),
		array("pe7s-leaf" => "pe7s-leaf"),
		array("pe7s-magic-wand" => "pe7s-magic-wand"),
		array("pe7s-male" => "pe7s-male"),
		array("pe7s-map-2" => "pe7s-map-2"),
		array("pe7s-next-2" => "pe7s-next-2"),
		array("pe7s-paint-bucket" => "pe7s-paint-bucket"),
		array("pe7s-pendrive" => "pe7s-pendrive"),
		array("pe7s-photo" => "pe7s-photo"),
		array("pe7s-piggy" => "pe7s-piggy"),
		array("pe7s-plugin" => "pe7s-plugin"),
		array("pe7s-refresh-2" => "pe7s-refresh-2"),
		array("pe7s-rocket" => "pe7s-rocket"),
		array("pe7s-settings" => "pe7s-settings"),
		array("pe7s-shield" => "pe7s-shield"),
		array("pe7s-smile" => "pe7s-smile"),
		array("pe7s-usb" => "pe7s-usb"),
		array("pe7s-vector" => "pe7s-vector"),
		array("pe7s-wine" => "pe7s-wine"),
		array("pe7s-cloud-upload" => "pe7s-cloud-upload"),
		array("pe7s-cash" => "pe7s-cash"),
		array("pe7s-close" => "pe7s-close"),
		array("pe7s-bluetooth" => "pe7s-bluetooth"),
		array("pe7s-cloud-download" => "pe7s-cloud-download"),
		array("pe7s-way" => "pe7s-way"),
		array("pe7s-close-circle" => "pe7s-close-circle"),
		array("pe7s-id" => "pe7s-id"),
		array("pe7s-angle-up" => "pe7s-angle-up"),
		array("pe7s-wristwatch" => "pe7s-wristwatch"),
		array("pe7s-angle-up-circle" => "pe7s-angle-up-circle"),
		array("pe7s-world" => "pe7s-world"),
		array("pe7s-angle-right" => "pe7s-angle-right"),
		array("pe7s-volume" => "pe7s-volume"),
		array("pe7s-angle-right-circle" => "pe7s-angle-right-circle"),
		array("pe7s-users" => "pe7s-users"),
		array("pe7s-angle-left" => "pe7s-angle-left"),
		array("pe7s-user-female" => "pe7s-user-female"),
		array("pe7s-angle-left-circle" => "pe7s-angle-left-circle"),
		array("pe7s-up-arrow" => "pe7s-up-arrow"),
		array("pe7s-angle-down" => "pe7s-angle-down"),
		array("pe7s-switch" => "pe7s-switch"),
		array("pe7s-angle-down-circle" => "pe7s-angle-down-circle"),
		array("pe7s-scissors" => "pe7s-scissors"),
		array("pe7s-wallet" => "pe7s-wallet"),
		array("pe7s-safe" => "pe7s-safe"),
		array("pe7s-volume2" => "pe7s-volume2"),
		array("pe7s-volume1" => "pe7s-volume1"),
		array("pe7s-voicemail" => "pe7s-voicemail"),
		array("pe7s-video" => "pe7s-video"),
		array("pe7s-user" => "pe7s-user"),
		array("pe7s-upload" => "pe7s-upload"),
		array("pe7s-unlock" => "pe7s-unlock"),
		array("pe7s-umbrella" => "pe7s-umbrella"),
		array("pe7s-trash" => "pe7s-trash"),
		array("pe7s-tools" => "pe7s-tools"),
		array("pe7s-timer" => "pe7s-timer"),
		array("pe7s-ticket" => "pe7s-ticket"),
		array("pe7s-target" => "pe7s-target"),
		array("pe7s-sun" => "pe7s-sun"),
		array("pe7s-study" => "pe7s-study"),
		array("pe7s-stopwatch" => "pe7s-stopwatch"),
		array("pe7s-star" => "pe7s-star"),
		array("pe7s-speaker" => "pe7s-speaker"),
		array("pe7s-signal" => "pe7s-signal"),
		array("pe7s-shuffle" => "pe7s-shuffle"),
		array("pe7s-shopbag" => "pe7s-shopbag"),
		array("pe7s-share" => "pe7s-share"),
		array("pe7s-server" => "pe7s-server"),
		array("pe7s-search" => "pe7s-search"),
		array("pe7s-film" => "pe7s-film"),
		array("pe7s-science" => "pe7s-science"),
		array("pe7s-disk" => "pe7s-disk"),
		array("pe7s-ribbon" => "pe7s-ribbon"),
		array("pe7s-repeat" => "pe7s-repeat"),
		array("pe7s-refresh" => "pe7s-refresh"),
		array("pe7s-add-user" => "pe7s-add-user"),
		array("pe7s-refresh-cloud" => "pe7s-refresh-cloud"),
		array("pe7s-paperclip" => "pe7s-paperclip"),
		array("pe7s-radio" => "pe7s-radio"),
		array("pe7s-note2" => "pe7s-note2"),
		array("pe7s-print" => "pe7s-print"),
		array("pe7s-network" => "pe7s-network"),
		array("pe7s-prev" => "pe7s-prev"),
		array("pe7s-mute" => "pe7s-mute"),
		array("pe7s-power" => "pe7s-power"),
		array("pe7s-medal" => "pe7s-medal"),
		array("pe7s-portfolio" => "pe7s-portfolio"),
		array("pe7s-like2" => "pe7s-like2"),
		array("pe7s-plus" => "pe7s-plus"),
		array("pe7s-left-arrow" => "pe7s-left-arrow"),
		array("pe7s-play" => "pe7s-play"),
		array("pe7s-key" => "pe7s-key"),
		array("pe7s-plane" => "pe7s-plane"),
		array("pe7s-joy" => "pe7s-joy"),
		array("pe7s-photo-gallery" => "pe7s-photo-gallery"),
		array("pe7s-pin" => "pe7s-pin"),
		array("pe7s-phone" => "pe7s-phone"),
		array("pe7s-plug" => "pe7s-plug"),
		array("pe7s-pen" => "pe7s-pen"),
		array("pe7s-right-arrow" => "pe7s-right-arrow"),
		array("pe7s-paper-plane" => "pe7s-paper-plane"),
		array("pe7s-delete-user" => "pe7s-delete-user"),
		array("pe7s-paint" => "pe7s-paint"),
		array("pe7s-bottom-arrow" => "pe7s-bottom-arrow"),
		array("pe7s-notebook" => "pe7s-notebook"),
		array("pe7s-note" => "pe7s-note"),
		array("pe7s-next" => "pe7s-next"),
		array("pe7s-news-paper" => "pe7s-news-paper"),
		array("pe7s-musiclist" => "pe7s-musiclist"),
		array("pe7s-music" => "pe7s-music"),
		array("pe7s-mouse" => "pe7s-mouse"),
		array("pe7s-more" => "pe7s-more"),
		array("pe7s-moon" => "pe7s-moon"),
		array("pe7s-monitor" => "pe7s-monitor"),
		array("pe7s-micro" => "pe7s-micro"),
		array("pe7s-menu" => "pe7s-menu"),
		array("pe7s-map" => "pe7s-map"),
		array("pe7s-map-marker" => "pe7s-map-marker"),
		array("pe7s-mail" => "pe7s-mail"),
		array("pe7s-mail-open" => "pe7s-mail-open"),
		array("pe7s-mail-open-file" => "pe7s-mail-open-file"),
		array("pe7s-magnet" => "pe7s-magnet"),
		array("pe7s-loop" => "pe7s-loop"),
		array("pe7s-look" => "pe7s-look"),
		array("pe7s-lock" => "pe7s-lock"),
		array("pe7s-lintern" => "pe7s-lintern"),
		array("pe7s-link" => "pe7s-link"),
		array("pe7s-like" => "pe7s-like"),
		array("pe7s-light" => "pe7s-light"),
		array("pe7s-less" => "pe7s-less"),
		array("pe7s-keypad" => "pe7s-keypad"),
		array("pe7s-junk" => "pe7s-junk"),
		array("pe7s-info" => "pe7s-info"),
		array("pe7s-home" => "pe7s-home"),
		array("pe7s-help2" => "pe7s-help2"),
		array("pe7s-help1" => "pe7s-help1"),
		array("pe7s-graph3" => "pe7s-graph3"),
		array("pe7s-graph2" => "pe7s-graph2"),
		array("pe7s-graph1" => "pe7s-graph1"),
		array("pe7s-graph" => "pe7s-graph"),
		array("pe7s-global" => "pe7s-global"),
		array("pe7s-gleam" => "pe7s-gleam"),
		array("pe7s-glasses" => "pe7s-glasses"),
		array("pe7s-gift" => "pe7s-gift"),
		array("pe7s-folder" => "pe7s-folder"),
		array("pe7s-flag" => "pe7s-flag"),
		array("pe7s-filter" => "pe7s-filter"),
		array("pe7s-file" => "pe7s-file"),
		array("pe7s-expand1" => "pe7s-expand1"),
		array("pe7s-exapnd2" => "pe7s-exapnd2"),
		array("pe7s-edit" => "pe7s-edit"),
		array("pe7s-drop" => "pe7s-drop"),
		array("pe7s-drawer" => "pe7s-drawer"),
		array("pe7s-download" => "pe7s-download"),
		array("pe7s-display2" => "pe7s-display2"),
		array("pe7s-display1" => "pe7s-display1"),
		array("pe7s-diskette" => "pe7s-diskette"),
		array("pe7s-date" => "pe7s-date"),
		array("pe7s-cup" => "pe7s-cup"),
		array("pe7s-culture" => "pe7s-culture"),
		array("pe7s-crop" => "pe7s-crop"),
		array("pe7s-credit" => "pe7s-credit"),
		array("pe7s-copy-file" => "pe7s-copy-file"),
		array("pe7s-config" => "pe7s-config"),
		array("pe7s-compass" => "pe7s-compass"),
		array("pe7s-comment" => "pe7s-comment"),
		array("pe7s-coffee" => "pe7s-coffee"),
		array("pe7s-cloud" => "pe7s-cloud"),
		array("pe7s-clock" => "pe7s-clock"),
		array("pe7s-check" => "pe7s-check"),
		array("pe7s-chat" => "pe7s-chat"),
		array("pe7s-cart" => "pe7s-cart"),
		array("pe7s-camera" => "pe7s-camera"),
		array("pe7s-call" => "pe7s-call"),
		array("pe7s-calculator" => "pe7s-calculator"),
		array("pe7s-browser" => "pe7s-browser"),
		array("pe7s-box2" => "pe7s-box2"),
		array("pe7s-box1" => "pe7s-box1"),
		array("pe7s-bookmarks" => "pe7s-bookmarks"),
		array("pe7s-bicycle" => "pe7s-bicycle"),
		array("pe7s-bell" => "pe7s-bell"),
		array("pe7s-battery" => "pe7s-battery"),
		array("pe7s-ball" => "pe7s-ball"),
		array("pe7s-back" => "pe7s-back"),
		array("pe7s-attention" => "pe7s-attention"),
		array("pe7s-anchor" => "pe7s-anchor"),
		array("pe7s-albums" => "pe7s-albums"),
		array("pe7s-alarm" => "pe7s-alarm"),
		array("pe7s-airplay" => "pe7s-airplay")
    );
}
add_filter( 'vc_iconpicker-type-pe7stroke', 'vc_iconpicker_pe7stroke' );

function vc_iconpicker_elegant() {
	return array(
		array("elegant-arrow_up" => "elegant-arrow_up"),
		array("elegant-arrow_down" => "elegant-arrow_down"),
		array("elegant-arrow_left" => "elegant-arrow_left"),
		array("elegant-arrow_right" => "elegant-arrow_right"),
		array("elegant-arrow_left-up" => "elegant-arrow_left-up"),
		array("elegant-arrow_right-up" => "elegant-arrow_right-up"),
		array("elegant-arrow_right-down" => "elegant-arrow_right-down"),
		array("elegant-arrow_left-down" => "elegant-arrow_left-down"),
		array("elegant-arrow-up-down" => "elegant-arrow-up-down"),
		array("elegant-arrow_up-down_alt" => "elegant-arrow_up-down_alt"),
		array("elegant-arrow_left-right_alt" => "elegant-arrow_left-right_alt"),
		array("elegant-arrow_left-right" => "elegant-arrow_left-right"),
		array("elegant-arrow_expand_alt2" => "elegant-arrow_expand_alt2"),
		array("elegant-arrow_expand_alt" => "elegant-arrow_expand_alt"),
		array("elegant-arrow_condense" => "elegant-arrow_condense"),
		array("elegant-arrow_expand" => "elegant-arrow_expand"),
		array("elegant-arrow_move" => "elegant-arrow_move"),
		array("elegant-arrow_carrot-up" => "elegant-arrow_carrot-up"),
		array("elegant-arrow_carrot-down" => "elegant-arrow_carrot-down"),
		array("elegant-arrow_carrot-left" => "elegant-arrow_carrot-left"),
		array("elegant-arrow_carrot-right" => "elegant-arrow_carrot-right"),
		array("elegant-arrow_carrot-2up" => "elegant-arrow_carrot-2up"),
		array("elegant-arrow_carrot-2down" => "elegant-arrow_carrot-2down"),
		array("elegant-arrow_carrot-2left" => "elegant-arrow_carrot-2left"),
		array("elegant-arrow_carrot-2right" => "elegant-arrow_carrot-2right"),
		array("elegant-arrow_carrot-up_alt2" => "elegant-arrow_carrot-up_alt2"),
		array("elegant-arrow_carrot-down_alt2" => "elegant-arrow_carrot-down_alt2"),
		array("elegant-arrow_carrot-left_alt2" => "elegant-arrow_carrot-left_alt2"),
		array("elegant-arrow_carrot-right_alt2" => "elegant-arrow_carrot-right_alt2"),
		array("elegant-arrow_carrot-2up_alt2" => "elegant-arrow_carrot-2up_alt2"),
		array("elegant-arrow_carrot-2down_alt2" => "elegant-arrow_carrot-2down_alt2"),
		array("elegant-arrow_carrot-2left_alt2" => "elegant-arrow_carrot-2left_alt2"),
		array("elegant-arrow_carrot-2right_alt2" => "elegant-arrow_carrot-2right_alt2"),
		array("elegant-arrow_triangle-up" => "elegant-arrow_triangle-up"),
		array("elegant-arrow_triangle-down" => "elegant-arrow_triangle-down"),
		array("elegant-arrow_triangle-left" => "elegant-arrow_triangle-left"),
		array("elegant-arrow_triangle-right" => "elegant-arrow_triangle-right"),
		array("elegant-arrow_triangle-up_alt2" => "elegant-arrow_triangle-up_alt2"),
		array("elegant-arrow_triangle-down_alt2" => "elegant-arrow_triangle-down_alt2"),
		array("elegant-arrow_triangle-left_alt2" => "elegant-arrow_triangle-left_alt2"),
		array("elegant-arrow_triangle-right_alt2" => "elegant-arrow_triangle-right_alt2"),
		array("elegant-arrow_back" => "elegant-arrow_back"),
		array("elegant-icon_minus-06" => "elegant-icon_minus-06"),
		array("elegant-icon_plus" => "elegant-icon_plus"),
		array("elegant-icon_close" => "elegant-icon_close"),
		array("elegant-icon_check" => "elegant-icon_check"),
		array("elegant-icon_minus_alt2" => "elegant-icon_minus_alt2"),
		array("elegant-icon_plus_alt2" => "elegant-icon_plus_alt2"),
		array("elegant-icon_close_alt2" => "elegant-icon_close_alt2"),
		array("elegant-icon_check_alt2" => "elegant-icon_check_alt2"),
		array("elegant-icon_zoom-out_alt" => "elegant-icon_zoom-out_alt"),
		array("elegant-icon_zoom-in_alt" => "elegant-icon_zoom-in_alt"),
		array("elegant-icon_search" => "elegant-icon_search"),
		array("elegant-icon_box-empty" => "elegant-icon_box-empty"),
		array("elegant-icon_box-selected" => "elegant-icon_box-selected"),
		array("elegant-icon_minus-box" => "elegant-icon_minus-box"),
		array("elegant-icon_plus-box" => "elegant-icon_plus-box"),
		array("elegant-icon_box-checked" => "elegant-icon_box-checked"),
		array("elegant-icon_circle-empty" => "elegant-icon_circle-empty"),
		array("elegant-icon_circle-slelected" => "elegant-icon_circle-slelected"),
		array("elegant-icon_stop_alt2" => "elegant-icon_stop_alt2"),
		array("elegant-icon_stop" => "elegant-icon_stop"),
		array("elegant-icon_pause_alt2" => "elegant-icon_pause_alt2"),
		array("elegant-icon_pause" => "elegant-icon_pause"),
		array("elegant-icon_menu" => "elegant-icon_menu"),
		array("elegant-icon_menu-square_alt2" => "elegant-icon_menu-square_alt2"),
		array("elegant-icon_menu-circle_alt2" => "elegant-icon_menu-circle_alt2"),
		array("elegant-icon_ul" => "elegant-icon_ul"),
		array("elegant-icon_ol" => "elegant-icon_ol"),
		array("elegant-icon_adjust-horiz" => "elegant-icon_adjust-horiz"),
		array("elegant-icon_adjust-vert" => "elegant-icon_adjust-vert"),
		array("elegant-icon_document_alt" => "elegant-icon_document_alt"),
		array("elegant-icon_documents_alt" => "elegant-icon_documents_alt"),
		array("elegant-icon_pencil" => "elegant-icon_pencil"),
		array("elegant-icon_pencil-edit_alt" => "elegant-icon_pencil-edit_alt"),
		array("elegant-icon_pencil-edit" => "elegant-icon_pencil-edit"),
		array("elegant-icon_folder-alt" => "elegant-icon_folder-alt"),
		array("elegant-icon_folder-open_alt" => "elegant-icon_folder-open_alt"),
		array("elegant-icon_folder-add_alt" => "elegant-icon_folder-add_alt"),
		array("elegant-icon_info_alt" => "elegant-icon_info_alt"),
		array("elegant-icon_error-oct_alt" => "elegant-icon_error-oct_alt"),
		array("elegant-icon_error-circle_alt" => "elegant-icon_error-circle_alt"),
		array("elegant-icon_error-triangle_alt" => "elegant-icon_error-triangle_alt"),
		array("elegant-icon_question_alt2" => "elegant-icon_question_alt2"),
		array("elegant-icon_question" => "elegant-icon_question"),
		array("elegant-icon_comment_alt" => "elegant-icon_comment_alt"),
		array("elegant-icon_chat_alt" => "elegant-icon_chat_alt"),
		array("elegant-icon_vol-mute_alt" => "elegant-icon_vol-mute_alt"),
		array("elegant-icon_volume-low_alt" => "elegant-icon_volume-low_alt"),
		array("elegant-icon_volume-high_alt" => "elegant-icon_volume-high_alt"),
		array("elegant-icon_quotations" => "elegant-icon_quotations"),
		array("elegant-icon_quotations_alt2" => "elegant-icon_quotations_alt2"),
		array("elegant-icon_clock_alt" => "elegant-icon_clock_alt"),
		array("elegant-icon_lock_alt" => "elegant-icon_lock_alt"),
		array("elegant-icon_lock-open_alt" => "elegant-icon_lock-open_alt"),
		array("elegant-icon_key_alt" => "elegant-icon_key_alt"),
		array("elegant-icon_cloud_alt" => "elegant-icon_cloud_alt"),
		array("elegant-icon_cloud-upload_alt" => "elegant-icon_cloud-upload_alt"),
		array("elegant-icon_cloud-download_alt" => "elegant-icon_cloud-download_alt"),
		array("elegant-icon_image" => "elegant-icon_image"),
		array("elegant-icon_images" => "elegant-icon_images"),
		array("elegant-icon_lightbulb_alt" => "elegant-icon_lightbulb_alt"),
		array("elegant-icon_gift_alt" => "elegant-icon_gift_alt"),
		array("elegant-icon_house_alt" => "elegant-icon_house_alt"),
		array("elegant-icon_genius" => "elegant-icon_genius"),
		array("elegant-icon_mobile" => "elegant-icon_mobile"),
		array("elegant-icon_tablet" => "elegant-icon_tablet"),
		array("elegant-icon_laptop" => "elegant-icon_laptop"),
		array("elegant-icon_desktop" => "elegant-icon_desktop"),
		array("elegant-icon_camera_alt" => "elegant-icon_camera_alt"),
		array("elegant-icon_mail_alt" => "elegant-icon_mail_alt"),
		array("elegant-icon_cone_alt" => "elegant-icon_cone_alt"),
		array("elegant-icon_ribbon_alt" => "elegant-icon_ribbon_alt"),
		array("elegant-icon_bag_alt" => "elegant-icon_bag_alt"),
		array("elegant-icon_creditcard" => "elegant-icon_creditcard"),
		array("elegant-icon_cart_alt" => "elegant-icon_cart_alt"),
		array("elegant-icon_paperclip" => "elegant-icon_paperclip"),
		array("elegant-icon_tag_alt" => "elegant-icon_tag_alt"),
		array("elegant-icon_tags_alt" => "elegant-icon_tags_alt"),
		array("elegant-icon_trash_alt" => "elegant-icon_trash_alt"),
		array("elegant-icon_cursor_alt" => "elegant-icon_cursor_alt"),
		array("elegant-icon_mic_alt" => "elegant-icon_mic_alt"),
		array("elegant-icon_compass_alt" => "elegant-icon_compass_alt"),
		array("elegant-icon_pin_alt" => "elegant-icon_pin_alt"),
		array("elegant-icon_pushpin_alt" => "elegant-icon_pushpin_alt"),
		array("elegant-icon_map_alt" => "elegant-icon_map_alt"),
		array("elegant-icon_drawer_alt" => "elegant-icon_drawer_alt"),
		array("elegant-icon_toolbox_alt" => "elegant-icon_toolbox_alt"),
		array("elegant-icon_book_alt" => "elegant-icon_book_alt"),
		array("elegant-icon_calendar" => "elegant-icon_calendar"),
		array("elegant-icon_film" => "elegant-icon_film"),
		array("elegant-icon_table" => "elegant-icon_table"),
		array("elegant-icon_contacts_alt" => "elegant-icon_contacts_alt"),
		array("elegant-icon_headphones" => "elegant-icon_headphones"),
		array("elegant-icon_lifesaver" => "elegant-icon_lifesaver"),
		array("elegant-icon_piechart" => "elegant-icon_piechart"),
		array("elegant-icon_refresh" => "elegant-icon_refresh"),
		array("elegant-icon_link_alt" => "elegant-icon_link_alt"),
		array("elegant-icon_link" => "elegant-icon_link"),
		array("elegant-icon_loading" => "elegant-icon_loading"),
		array("elegant-icon_blocked" => "elegant-icon_blocked"),
		array("elegant-icon_archive_alt" => "elegant-icon_archive_alt"),
		array("elegant-icon_heart_alt" => "elegant-icon_heart_alt"),
		array("elegant-icon_star_alt" => "elegant-icon_star_alt"),
		array("elegant-icon_star-half_alt" => "elegant-icon_star-half_alt"),
		array("elegant-icon_star" => "elegant-icon_star"),
		array("elegant-icon_star-half" => "elegant-icon_star-half"),
		array("elegant-icon_tools" => "elegant-icon_tools"),
		array("elegant-icon_tool" => "elegant-icon_tool"),
		array("elegant-icon_cog" => "elegant-icon_cog"),
		array("elegant-icon_cogs" => "elegant-icon_cogs"),
		array("elegant-arrow_up_alt" => "elegant-arrow_up_alt"),
		array("elegant-arrow_down_alt" => "elegant-arrow_down_alt"),
		array("elegant-arrow_left_alt" => "elegant-arrow_left_alt"),
		array("elegant-arrow_right_alt" => "elegant-arrow_right_alt"),
		array("elegant-arrow_left-up_alt" => "elegant-arrow_left-up_alt"),
		array("elegant-arrow_right-up_alt" => "elegant-arrow_right-up_alt"),
		array("elegant-arrow_right-down_alt" => "elegant-arrow_right-down_alt"),
		array("elegant-arrow_left-down_alt" => "elegant-arrow_left-down_alt"),
		array("elegant-arrow_condense_alt" => "elegant-arrow_condense_alt"),
		array("elegant-arrow_expand_alt3" => "elegant-arrow_expand_alt3"),
		array("elegant-arrow_carrot_up_alt" => "elegant-arrow_carrot_up_alt"),
		array("elegant-arrow_carrot-down_alt" => "elegant-arrow_carrot-down_alt"),
		array("elegant-arrow_carrot-left_alt" => "elegant-arrow_carrot-left_alt"),
		array("elegant-arrow_carrot-right_alt" => "elegant-arrow_carrot-right_alt"),
		array("elegant-arrow_carrot-2up_alt" => "elegant-arrow_carrot-2up_alt"),
		array("elegant-arrow_carrot-2dwnn_alt" => "elegant-arrow_carrot-2dwnn_alt"),
		array("elegant-arrow_carrot-2left_alt" => "elegant-arrow_carrot-2left_alt"),
		array("elegant-arrow_carrot-2right_alt" => "elegant-arrow_carrot-2right_alt"),
		array("elegant-arrow_triangle-up_alt" => "elegant-arrow_triangle-up_alt"),
		array("elegant-arrow_triangle-down_alt" => "elegant-arrow_triangle-down_alt"),
		array("elegant-arrow_triangle-left_alt" => "elegant-arrow_triangle-left_alt"),
		array("elegant-arrow_triangle-right_alt" => "elegant-arrow_triangle-right_alt"),
		array("elegant-icon_minus_alt" => "elegant-icon_minus_alt"),
		array("elegant-icon_plus_alt" => "elegant-icon_plus_alt"),
		array("elegant-icon_close_alt" => "elegant-icon_close_alt"),
		array("elegant-icon_check_alt" => "elegant-icon_check_alt"),
		array("elegant-icon_zoom-out" => "elegant-icon_zoom-out"),
		array("elegant-icon_zoom-in" => "elegant-icon_zoom-in"),
		array("elegant-icon_stop_alt" => "elegant-icon_stop_alt"),
		array("elegant-icon_menu-square_alt" => "elegant-icon_menu-square_alt"),
		array("elegant-icon_menu-circle_alt" => "elegant-icon_menu-circle_alt"),
		array("elegant-icon_document" => "elegant-icon_document"),
		array("elegant-icon_documents" => "elegant-icon_documents"),
		array("elegant-icon_pencil_alt" => "elegant-icon_pencil_alt"),
		array("elegant-icon_folder" => "elegant-icon_folder"),
		array("elegant-icon_folder-open" => "elegant-icon_folder-open"),
		array("elegant-icon_folder-add" => "elegant-icon_folder-add"),
		array("elegant-icon_folder_upload" => "elegant-icon_folder_upload"),
		array("elegant-icon_folder_download" => "elegant-icon_folder_download"),
		array("elegant-icon_info" => "elegant-icon_info"),
		array("elegant-icon_error-circle" => "elegant-icon_error-circle"),
		array("elegant-icon_error-oct" => "elegant-icon_error-oct"),
		array("elegant-icon_error-triangle" => "elegant-icon_error-triangle"),
		array("elegant-icon_question_alt" => "elegant-icon_question_alt"),
		array("elegant-icon_comment" => "elegant-icon_comment"),
		array("elegant-icon_chat" => "elegant-icon_chat"),
		array("elegant-icon_vol-mute" => "elegant-icon_vol-mute"),
		array("elegant-icon_volume-low" => "elegant-icon_volume-low"),
		array("elegant-icon_volume-high" => "elegant-icon_volume-high"),
		array("elegant-icon_quotations_alt" => "elegant-icon_quotations_alt"),
		array("elegant-icon_clock" => "elegant-icon_clock"),
		array("elegant-icon_lock" => "elegant-icon_lock"),
		array("elegant-icon_lock-open" => "elegant-icon_lock-open"),
		array("elegant-icon_key" => "elegant-icon_key"),
		array("elegant-icon_cloud" => "elegant-icon_cloud"),
		array("elegant-icon_cloud-upload" => "elegant-icon_cloud-upload"),
		array("elegant-icon_cloud-download" => "elegant-icon_cloud-download"),
		array("elegant-icon_lightbulb" => "elegant-icon_lightbulb"),
		array("elegant-icon_gift" => "elegant-icon_gift"),
		array("elegant-icon_house" => "elegant-icon_house"),
		array("elegant-icon_camera" => "elegant-icon_camera"),
		array("elegant-icon_mail" => "elegant-icon_mail"),
		array("elegant-icon_cone" => "elegant-icon_cone"),
		array("elegant-icon_ribbon" => "elegant-icon_ribbon"),
		array("elegant-icon_bag" => "elegant-icon_bag"),
		array("elegant-icon_cart" => "elegant-icon_cart"),
		array("elegant-icon_tag" => "elegant-icon_tag"),
		array("elegant-icon_tags" => "elegant-icon_tags"),
		array("elegant-icon_trash" => "elegant-icon_trash"),
		array("elegant-icon_cursor" => "elegant-icon_cursor"),
		array("elegant-icon_mic" => "elegant-icon_mic"),
		array("elegant-icon_compass" => "elegant-icon_compass"),
		array("elegant-icon_pin" => "elegant-icon_pin"),
		array("elegant-icon_pushpin" => "elegant-icon_pushpin"),
		array("elegant-icon_map" => "elegant-icon_map"),
		array("elegant-icon_drawer" => "elegant-icon_drawer"),
		array("elegant-icon_toolbox" => "elegant-icon_toolbox"),
		array("elegant-icon_book" => "elegant-icon_book"),
		array("elegant-icon_contacts" => "elegant-icon_contacts"),
		array("elegant-icon_archive" => "elegant-icon_archive"),
		array("elegant-icon_heart" => "elegant-icon_heart"),
		array("elegant-icon_profile" => "elegant-icon_profile"),
		array("elegant-icon_group" => "elegant-icon_group"),
		array("elegant-icon_grid-2x2" => "elegant-icon_grid-2x2"),
		array("elegant-icon_grid-3x3" => "elegant-icon_grid-3x3"),
		array("elegant-icon_music" => "elegant-icon_music"),
		array("elegant-icon_pause_alt" => "elegant-icon_pause_alt"),
		array("elegant-icon_phone" => "elegant-icon_phone"),
		array("elegant-icon_upload" => "elegant-icon_upload"),
		array("elegant-icon_download" => "elegant-icon_download"),
		array("elegant-social_facebook" => "elegant-social_facebook"),
		array("elegant-social_twitter" => "elegant-social_twitter"),
		array("elegant-social_pinterest" => "elegant-social_pinterest"),
		array("elegant-social_googleplus" => "elegant-social_googleplus"),
		array("elegant-social_tumblr" => "elegant-social_tumblr"),
		array("elegant-social_tumbleupon" => "elegant-social_tumbleupon"),
		array("elegant-social_wordpress" => "elegant-social_wordpress"),
		array("elegant-social_instagram" => "elegant-social_instagram"),
		array("elegant-social_dribbble" => "elegant-social_dribbble"),
		array("elegant-social_vimeo" => "elegant-social_vimeo"),
		array("elegant-social_linkedin" => "elegant-social_linkedin"),
		array("elegant-social_rss" => "elegant-social_rss"),
		array("elegant-social_deviantart" => "elegant-social_deviantart"),
		array("elegant-social_share" => "elegant-social_share"),
		array("elegant-social_myspace" => "elegant-social_myspace"),
		array("elegant-social_skype" => "elegant-social_skype"),
		array("elegant-social_youtube" => "elegant-social_youtube"),
		array("elegant-social_picassa" => "elegant-social_picassa"),
		array("elegant-social_googledrive" => "elegant-social_googledrive"),
		array("elegant-social_flickr" => "elegant-social_flickr"),
		array("elegant-social_blogger" => "elegant-social_blogger"),
		array("elegant-social_spotify" => "elegant-social_spotify"),
		array("elegant-social_delicious" => "elegant-social_delicious"),
		array("elegant-social_facebook_circle" => "elegant-social_facebook_circle"),
		array("elegant-social_twitter_circle" => "elegant-social_twitter_circle"),
		array("elegant-social_pinterest_circle" => "elegant-social_pinterest_circle"),
		array("elegant-social_googleplus_circle" => "elegant-social_googleplus_circle"),
		array("elegant-social_tumblr_circle" => "elegant-social_tumblr_circle"),
		array("elegant-social_stumbleupon_circle" => "elegant-social_stumbleupon_circle"),
		array("elegant-social_wordpress_circle" => "elegant-social_wordpress_circle"),
		array("elegant-social_instagram_circle" => "elegant-social_instagram_circle"),
		array("elegant-social_dribbble_circle" => "elegant-social_dribbble_circle"),
		array("elegant-social_vimeo_circle" => "elegant-social_vimeo_circle"),
		array("elegant-social_linkedin_circle" => "elegant-social_linkedin_circle"),
		array("elegant-social_rss_circle" => "elegant-social_rss_circle"),
		array("elegant-social_deviantart_circle" => "elegant-social_deviantart_circle"),
		array("elegant-social_share_circle" => "elegant-social_share_circle"),
		array("elegant-social_myspace_circle" => "elegant-social_myspace_circle"),
		array("elegant-social_skype_circle" => "elegant-social_skype_circle"),
		array("elegant-social_youtube_circle" => "elegant-social_youtube_circle"),
		array("elegant-social_picassa_circle" => "elegant-social_picassa_circle"),
		array("elegant-social_googledrive_alt2" => "elegant-social_googledrive_alt2"),
		array("elegant-social_flickr_circle" => "elegant-social_flickr_circle"),
		array("elegant-social_blogger_circle" => "elegant-social_blogger_circle"),
		array("elegant-social_spotify_circle" => "elegant-social_spotify_circle"),
		array("elegant-social_delicious_circle" => "elegant-social_delicious_circle"),
		array("elegant-social_facebook_square" => "elegant-social_facebook_square"),
		array("elegant-social_twitter_square" => "elegant-social_twitter_square"),
		array("elegant-social_pinterest_square" => "elegant-social_pinterest_square"),
		array("elegant-social_googleplus_square" => "elegant-social_googleplus_square"),
		array("elegant-social_tumblr_square" => "elegant-social_tumblr_square"),
		array("elegant-social_stumbleupon_square" => "elegant-social_stumbleupon_square"),
		array("elegant-social_wordpress_square" => "elegant-social_wordpress_square"),
		array("elegant-social_instagram_square" => "elegant-social_instagram_square"),
		array("elegant-social_dribbble_square" => "elegant-social_dribbble_square"),
		array("elegant-social_vimeo_square" => "elegant-social_vimeo_square"),
		array("elegant-social_linkedin_square" => "elegant-social_linkedin_square"),
		array("elegant-social_rss_square" => "elegant-social_rss_square"),
		array("elegant-social_deviantart_square" => "elegant-social_deviantart_square"),
		array("elegant-social_share_square" => "elegant-social_share_square"),
		array("elegant-social_myspace_square" => "elegant-social_myspace_square"),
		array("elegant-social_skype_square" => "elegant-social_skype_square"),
		array("elegant-social_youtube_square" => "elegant-social_youtube_square"),
		array("elegant-social_picassa_square" => "elegant-social_picassa_square"),
		array("elegant-social_googledrive_square" => "elegant-social_googledrive_square"),
		array("elegant-social_flickr_square" => "elegant-social_flickr_square"),
		array("elegant-social_blogger_square" => "elegant-social_blogger_square"),
		array("elegant-social_spotify_square" => "elegant-social_spotify_square"),
		array("elegant-social_delicious_square" => "elegant-social_delicious_square"),
		array("elegant-icon_printer" => "elegant-icon_printer"),
		array("elegant-icon_calulator" => "elegant-icon_calulator"),
		array("elegant-icon_building" => "elegant-icon_building"),
		array("elegant-icon_floppy" => "elegant-icon_floppy"),
		array("elegant-icon_drive" => "elegant-icon_drive"),
		array("elegant-icon_search-2" => "elegant-icon_search-2"),
		array("elegant-icon_id" => "elegant-icon_id"),
		array("elegant-icon_id-2" => "elegant-icon_id-2"),
		array("elegant-icon_puzzle" => "elegant-icon_puzzle"),
		array("elegant-icon_like" => "elegant-icon_like"),
		array("elegant-icon_dislike" => "elegant-icon_dislike"),
		array("elegant-icon_mug" => "elegant-icon_mug"),
		array("elegant-icon_currency" => "elegant-icon_currency"),
		array("elegant-icon_wallet" => "elegant-icon_wallet"),
		array("elegant-icon_pens" => "elegant-icon_pens"),
		array("elegant-icon_easel" => "elegant-icon_easel"),
		array("elegant-icon_flowchart" => "elegant-icon_flowchart"),
		array("elegant-icon_datareport" => "elegant-icon_datareport"),
		array("elegant-icon_briefcase" => "elegant-icon_briefcase"),
		array("elegant-icon_shield" => "elegant-icon_shield"),
		array("elegant-icon_percent" => "elegant-icon_percent"),
		array("elegant-icon_globe" => "elegant-icon_globe"),
		array("elegant-icon_globe-2" => "elegant-icon_globe-2"),
		array("elegant-icon_target" => "elegant-icon_target"),
		array("elegant-icon_hourglass" => "elegant-icon_hourglass"),
		array("elegant-icon_balance" => "elegant-icon_balance"),
		array("elegant-icon_rook" => "elegant-icon_rook"),
		array("elegant-icon_printer-alt" => "elegant-icon_printer-alt"),
		array("elegant-icon_calculator_alt" => "elegant-icon_calculator_alt"),
		array("elegant-icon_building_alt" => "elegant-icon_building_alt"),
		array("elegant-icon_floppy_alt" => "elegant-icon_floppy_alt"),
		array("elegant-icon_drive_alt" => "elegant-icon_drive_alt"),
		array("elegant-icon_search_alt" => "elegant-icon_search_alt"),
		array("elegant-icon_id_alt" => "elegant-icon_id_alt"),
		array("elegant-icon_id-2_alt" => "elegant-icon_id-2_alt"),
		array("elegant-icon_puzzle_alt" => "elegant-icon_puzzle_alt"),
		array("elegant-icon_like_alt" => "elegant-icon_like_alt"),
		array("elegant-icon_dislike_alt" => "elegant-icon_dislike_alt"),
		array("elegant-icon_mug_alt" => "elegant-icon_mug_alt"),
		array("elegant-icon_currency_alt" => "elegant-icon_currency_alt"),
		array("elegant-icon_wallet_alt" => "elegant-icon_wallet_alt"),
		array("elegant-icon_pens_alt" => "elegant-icon_pens_alt"),
		array("elegant-icon_easel_alt" => "elegant-icon_easel_alt"),
		array("elegant-icon_flowchart_alt" => "elegant-icon_flowchart_alt"),
		array("elegant-icon_datareport_alt" => "elegant-icon_datareport_alt"),
		array("elegant-icon_briefcase_alt" => "elegant-icon_briefcase_alt"),
		array("elegant-icon_shield_alt" => "elegant-icon_shield_alt"),
		array("elegant-icon_percent_alt" => "elegant-icon_percent_alt"),
		array("elegant-icon_globe_alt" => "elegant-icon_globe_alt"),
		array("elegant-icon_clipboard" => "elegant-icon_clipboard")
    );
}
add_filter( 'vc_iconpicker-type-elegant', 'vc_iconpicker_elegant' );

function vc_iconpicker_basic() {
	return array(
		array("basic-arrow-down" => "arrow-down"),
		array("basic-arrow-down-2" => "arrow-down-2"),
		array("basic-arrow-up" => "arrow-up"),
		array("basic-arrow-up-2" => "arrow-up-2"),
		array("basic-back-arrow" => "back-arrow"),
		array("basic-brightness" => "brightness"),
		array("basic-bulleye" => "bulleye"),
		array("basic-check" => "check"),
		array("basic-check-2" => "check-2"),
		array("basic-check-3" => "check-3"),
		array("basic-check-4" => "check-4"),
		array("basic-checkmark" => "checkmark"),
		array("basic-checkmark-2" => "checkmark-2"),
		array("basic-checkmark-3" => "checkmark-3"),
		array("basic-chevron" => "chevron"),
		array("basic-double-chevron" => "double-chevron"),
		array("basic-clipboard" => "clipboard"),
		array("basic-clock" => "clock"),
		array("basic-close" => "close"),
		array("basic-close-2" => "close-2"),
		array("basic-command" => "command"),
		array("basic-copy" => "copy"),
		array("basic-cut" => "cut"),
		array("basic-dashboard" => "dashboard"),
		array("basic-dashboard-2" => "dashboard-2"),
		array("basic-delete" => "delete"),
		array("basic-dot" => "dot"),
		array("basic-download" => "download"),
		array("basic-ellipsis" => "ellipsis"),
		array("basic-ellipsis-2" => "ellipsis-2"),
		array("basic-ellipsis-3" => "ellipsis-3"),
		array("basic-ellipsis-4" => "ellipsis-4"),
		array("basic-feather" => "feather"),
		array("basic-filter" => "filter"),
		array("basic-flag" => "flag"),
		array("basic-floppy-disk" => "floppy-disk"),
		array("basic-funnel" => "funnel"),
		array("basic-gauge" => "gauge"),
		array("basic-goal" => "goal"),
		array("basic-graph" => "graph"),
		array("basic-graph-2" => "graph-2"),
		array("basic-menu" => "menu"),
		array("basic-menu-2" => "menu-2"),
		array("basic-menu-3" => "menu-3"),
		array("basic-heart" => "heart"),
		array("basic-home" => "home"),
		array("basic-home-2" => "home-2"),
		array("basic-home-3" => "home-3"),
		array("basic-home-4" => "home-4"),
		array("basic-info" => "info"),
		array("basic-info-2" => "info-2"),
		array("basic-inside" => "inside"),
		array("basic-lifebuoy" => "lifebuoy"),
		array("basic-maximize" => "maximize"),
		array("basic-minimize" => "minimize"),
		array("basic-minus" => "minus"),
		array("basic-minus-2" => "minus-2"),
		array("basic-minus-3" => "minus-3"),
		array("basic-minus-4" => "minus-4"),
		array("basic-on" => "on"),
		array("basic-outside" => "outside"),
		array("basic-pencil" => "pencil"),
		array("basic-pencil-2" => "pencil-2"),
		array("basic-pin" => "pin"),
		array("basic-pin-2" => "pin-2"),
		array("basic-plus" => "plus"),
		array("basic-plus-2" => "plus-2"),
		array("basic-plus-3" => "plus-3"),
		array("basic-plus-4" => "plus-4"),
		array("basic-power" => "power"),
		array("basic-print" => "print"),
		array("basic-printer" => "printer"),
		array("basic-question" => "question"),
		array("basic-question-2" => "question-2"),
		array("basic-reload" => "reload"),
		array("basic-remove" => "remove"),
		array("basic-remove-2" => "remove-2"),
		array("basic-remove-3" => "remove-3"),
		array("basic-search" => "search"),
		array("basic-search-2" => "search-2"),
		array("basic-search-3" => "search-3"),
		array("basic-share" => "share"),
		array("basic-share-2" => "share-2"),
		array("basic-share-3" => "share-3"),
		array("basic-signal" => "signal"),
		array("basic-star" => "star"),
		array("basic-stop" => "stop"),
		array("basic-time" => "time"),
		array("basic-trash" => "trash"),
		array("basic-upload" => "upload"),
		array("basic-warning" => "warning"),
		array("basic-warning-2" => "warning-2"),
		array("basic-waving" => "waving"),
    );
}
add_filter( 'vc_iconpicker-type-basic', 'vc_iconpicker_basic' );

function vc_iconpicker_interface() {
	return array(
		array("inter-wifi" => "wifi"),
		array("inter-webcam" => "webcam"),
		array("inter-wallet" => "wallet"),
		array("inter-view" => "view"),
		array("inter-video-camera" => "video-camera"),
		array("inter-user-1" => "user-1"),
		array("inter-link-3" => "link-3"),
		array("inter-upload" => "upload"),
		array("inter-unlock" => "unlock"),
		array("inter-undo" => "undo"),
		array("inter-tick" => "tick"),
		array("inter-tag" => "tag"),
		array("inter-suitcase" => "suitcase"),
		array("inter-box-1" => "box-1"),
		array("inter-stop" => "stop"),
		array("inter-sound" => "sound"),
		array("inter-slideshow" => "slideshow"),
		array("inter-shuffle" => "shuffle"),
		array("inter-share-1" => "share-1"),
		array("inter-share" => "share"),
		array("inter-settings" => "settings"),
		array("inter-cursor-1" => "cursor-1"),
		array("inter-shield" => "shield"),
		array("inter-loupe" => "loupe"),
		array("inter-file-2" => "file-2"),
		array("inter-balance" => "balance"),
		array("inter-diskette" => "diskette"),
		array("inter-hourglass" => "hourglass"),
		array("inter-ruler" => "ruler"),
		array("inter-next-2" => "next-2"),
		array("inter-pie-chart" => "pie-chart"),
		array("inter-repeat-1" => "repeat-1"),
		array("inter-repeat" => "repeat"),
		array("inter-refresh" => "refresh"),
		array("inter-books" => "books"),
		array("inter-random" => "random"),
		array("inter-user" => "user"),
		array("inter-light-bulb" => "light-bulb"),
		array("inter-flash-1" => "flash-1"),
		array("inter-export" => "export"),
		array("inter-pulse" => "pulse"),
		array("inter-next-1" => "next-1"),
		array("inter-piggy-bank" => "piggy-bank"),
		array("inter-dropper" => "dropper"),
		array("inter-smartphone" => "smartphone"),
		array("inter-message-1" => "message-1"),
		array("inter-paint-bucket" => "paint-bucket"),
		array("inter-file-1" => "file-1"),
		array("inter-bell" => "bell"),
		array("inter-clipboard" => "clipboard"),
		array("inter-newspaper-1" => "newspaper-1"),
		array("inter-newspaper" => "newspaper"),
		array("inter-antenna" => "antenna"),
		array("inter-bar-chart" => "bar-chart"),
		array("inter-mute-1" => "mute-1"),
		array("inter-music-1" => "music-1"),
		array("inter-sound-waves" => "sound-waves"),
		array("inter-music" => "music"),
		array("inter-film" => "film"),
		array("inter-move-1" => "move-1"),
		array("inter-move" => "move"),
		array("inter-mouse" => "mouse"),
		array("inter-more" => "more"),
		array("inter-mute" => "mute"),
		array("inter-microphone-1" => "microphone-1"),
		array("inter-microphone" => "microphone"),
		array("inter-message" => "message"),
		array("inter-map-1" => "map-1"),
		array("inter-placeholder" => "placeholder"),
		array("inter-low-battery" => "low-battery"),
		array("inter-map" => "map"),
		array("inter-link-2" => "link-2"),
		array("inter-like" => "like"),
		array("inter-layers" => "layers"),
		array("inter-key" => "key"),
		array("inter-image-1" => "image-1"),
		array("inter-image" => "image"),
		array("inter-link-1" => "link-1"),
		array("inter-home" => "home"),
		array("inter-headphones-1" => "headphones-1"),
		array("inter-headphones" => "headphones"),
		array("inter-focus" => "focus"),
		array("inter-fast-forward-1" => "fast-forward-1"),
		array("inter-folder" => "folder"),
		array("inter-flash" => "flash"),
		array("inter-flag" => "flag"),
		array("inter-filter" => "filter"),
		array("inter-fast-forward" => "fast-forward"),
		array("inter-exit" => "exit"),
		array("inter-expand" => "expand"),
		array("inter-email" => "email"),
		array("inter-edit" => "edit"),
		array("inter-dvd" => "dvd"),
		array("inter-download" => "download"),
		array("inter-down-arrow" => "down-arrow"),
		array("inter-file" => "file"),
		array("inter-delete-3" => "delete-3"),
		array("inter-delete-2" => "delete-2"),
		array("inter-delete-1" => "delete-1"),
		array("inter-browser-1" => "browser-1"),
		array("inter-cursor" => "cursor"),
		array("inter-crop" => "crop"),
		array("inter-chat-2" => "chat-2"),
		array("inter-cloud" => "cloud"),
		array("inter-wall-clock" => "wall-clock"),
		array("inter-checked" => "checked"),
		array("inter-chat-1" => "chat-1"),
		array("inter-chat" => "chat"),
		array("inter-link" => "link"),
		array("inter-cctv" => "cctv"),
		array("inter-shopping-cart" => "shopping-cart"),
		array("inter-photo-camera-1" => "photo-camera-1"),
		array("inter-photo-camera" => "photo-camera"),
		array("inter-calendar" => "calendar"),
		array("inter-bug" => "bug"),
		array("inter-browser" => "browser"),
		array("inter-broken" => "broken"),
		array("inter-brightness" => "brightness"),
		array("inter-box" => "box"),
		array("inter-bookmark" => "bookmark"),
		array("inter-book" => "book"),
		array("inter-board" => "board"),
		array("inter-bluetooth" => "bluetooth"),
		array("inter-alarm" => "alarm"),
		array("inter-battery-1" => "battery-1"),
		array("inter-battery" => "battery"),
		array("inter-ban" => "ban"),
		array("inter-shopping-bag" => "shopping-bag"),
		array("inter-delete" => "delete"),
		array("inter-next" => "next"),
		array("inter-megaphone" => "megaphone"),
		array("inter-add" => "add"),
    );
}
add_filter( 'vc_iconpicker-type-interface', 'vc_iconpicker_interface' );

function vc_iconpicker_office() {
	return array(
		array("office-bank" => "bank"),
		array("office-stationery" => "stationery"),
		array("office-cabinet" => "cabinet"),
		array("office-push-pin" => "push-pin"),
		array("office-folder" => "folder"),
		array("office-printer" => "printer"),
		array("office-certificate" => "certificate"),
		array("office-letter" => "letter"),
		array("office-checklist" => "checklist"),
		array("office-coffee" => "coffee"),
		array("office-notepad" => "notepad"),
		array("office-lamp" => "lamp"),
		array("office-colleague" => "colleague"),
		array("office-clock" => "clock"),
		array("office-documents" => "documents"),
		array("office-plant" => "plant"),
		array("office-knowledge" => "knowledge"),
		array("office-trophy" => "trophy"),
		array("office-employee" => "employee"),
		array("office-call-center" => "call-center"),
		array("office-chart" => "chart"),
		array("office-lightbulb" => "lightbulb"),
		array("office-binders" => "binders"),
		array("office-building" => "building"),
		array("office-window" => "window"),
		array("office-bin" => "bin"),
		array("office-meeting" => "meeting"),
		array("office-businessman" => "businessman"),
		array("office-businesswoman" => "businesswoman"),
		array("office-desk" => "desk"),
		array("office-teamwork" => "teamwork"),
		array("office-conversation" => "conversation"),
		array("office-work" => "work"),
		array("office-pencil" => "pencil"),
		array("office-reception" => "reception"),
		array("office-chair" => "chair"),
		array("office-computer" => "computer"),
		array("office-presentation" => "presentation"),
		array("office-tie" => "tie"),
		array("office-bicycle" => "bicycle"),
		array("office-stamp" => "stamp"),
		array("office-attached" => "attached"),
		array("office-save-file" => "save-file"),
		array("office-colleague-1" => "colleague-1"),
		array("office-cabinet-1" => "cabinet-1"),
		array("office-structure" => "structure"),
		array("office-briefcase" => "briefcase"),
		array("office-building-1" => "building-1"),
		array("office-corkboard" => "corkboard"),
		array("office-schedule" => "schedule"),
    );
}
add_filter( 'vc_iconpicker-type-office', 'vc_iconpicker_office' );

function vc_iconpicker_medical() {
	return array(
		array("medical-funnel" => "funnel"),
		array("medical-medicine-1" => "medicine-1"),
		array("medical-cardiogram" => "cardiogram"),
		array("medical-hospital-bed" => "hospital-bed"),
		array("medical-medicine" => "medicine"),
		array("medical-first-aid-kit" => "first-aid-kit"),
		array("medical-dna" => "dna"),
		array("medical-stopwatch" => "stopwatch"),
		array("medical-test-tubes" => "test-tubes"),
		array("medical-microscope" => "microscope"),
		array("medical-medical-history" => "medical-history"),
		array("medical-shield" => "shield"),
		array("medical-siren" => "siren"),
		array("medical-syringe" => "syringe"),
		array("medical-radiation" => "radiation"),
		array("medical-loupe" => "loupe"),
		array("medical-apple" => "apple"),
		array("medical-nasal-spray" => "nasal-spray"),
		array("medical-hospital" => "hospital"),
		array("medical-pipette" => "pipette"),
		array("medical-hospital-sign" => "hospital-sign"),
		array("medical-thermometer" => "thermometer"),
		array("medical-stationary-bike" => "stationary-bike"),
		array("medical-liver" => "liver"),
		array("medical-virus" => "virus"),
		array("medical-transfusion" => "transfusion"),
		array("medical-no-smoking" => "no-smoking"),
		array("medical-yoga" => "yoga"),
		array("medical-barbell" => "barbell"),
		array("medical-soap" => "soap"),
		array("medical-water-bottle" => "water-bottle"),
		array("medical-smartwatch" => "smartwatch"),
		array("medical-ambulance" => "ambulance"),
		array("medical-tooth" => "tooth"),
		array("medical-electrocardiogram" => "electrocardiogram"),
		array("medical-juice" => "juice"),
		array("medical-sport-shoes" => "sport-shoes"),
		array("medical-hand" => "hand"),
		array("medical-waist" => "waist"),
		array("medical-strength" => "strength"),
		array("medical-weight" => "weight"),
		array("medical-jump" => "jump"),
		array("medical-check-list" => "check-list"),
		array("medical-eye" => "eye"),
		array("medical-stethoscope" => "stethoscope"),
		array("medical-plaster" => "plaster"),
		array("medical-mortar" => "mortar"),
		array("medical-ribbon" => "ribbon"),
		array("medical-health" => "health"),
		array("medical-pills" => "pills"),
    );
}
add_filter( 'vc_iconpicker-type-medical', 'vc_iconpicker_medical' );

function vc_iconpicker_animation() {
	return array(
		array("office-clock" => "clock"),
		array("office-lightbulb" => "lightbulb"),
		array("office-businessman" => "businessman"),
		array("office-trophy" => "trophy"),
		array("office-coffee" => "coffee"),
		array("office-call-center" => "call-center"),
		array("office-lamp" => "lamp"),
		array("office-stamp" => "stamp"),
		array("office-push-pin" => "push-pin"),
		array("office-conversation" => "conversation"),
		array("inter-light-bulb" => "light-bulb"),
		array("inter-paint-bucket" => "paint-bucket"),
		array("inter-message-1" => "message-1"),
		array("inter-user" => "user"),
		array("inter-alarm" => "alarm"),
		array("inter-bug" => "bug"),
		array("medical-barbell" => "barbell"),
		array("medical-jump" => "jump"),
		array("medical-stationary-bike" => "stationary-bike"),
		array("medical-ambulance" => "ambulance"),
		array("medical-siren" => "siren"),
		array("medical-medicine-1" => "medicine-1"),
    );
}
add_filter( 'vc_iconpicker-type-animation', 'vc_iconpicker_animation' );