<?php
// Get layout position
$layout = octavian_layout_position();
if ( $layout == 'no-sidebar' ) return;

$sidebar = 'sidebar-blog';

if ( is_page() ) $sidebar = 'sidebar-page';

if ( is_singular( 'event' ) ) $sidebar = 'sidebar-event';

if ( is_singular( 'campaign' ) ) $sidebar = 'sidebar-campaign';

if ( is_page() && octavian_metabox('page_sidebar') )
	$sidebar = octavian_metabox('page_sidebar');

if ( octavian_is_woocommerce_page() )
	$sidebar = 'sidebar-shop';

if ( is_active_sidebar( $sidebar ) ) : ?>

<div id="sidebar">
	<div id="inner-sidebar" class="inner-content-wrap">
		<?php dynamic_sidebar( $sidebar ); ?>
	</div><!-- /#inner-sidebar -->
</div><!-- /#sidebar -->

<?php endif; ?>